For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all service requests
        • GETGet a service request by ID
        • GETGet all service request categories
        • GETGet service request category by ID
        • GETGet all service request history
        • GETGet service request history by ID
        • GETGet all service request priorities
        • GETGet service request priority by ID
        • GETGet all service request statuses
        • GETGet service request status by ID
        • POSTCreate Service Request: Rent Manager
        • PUTUpdate a service request for Rent Manager
        • POSTCreate Service Request History: Rent Manager
        • POSTCreate Service Request Files: Rent Manager
        • POSTCreate Service Request Note: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerService Requests

Get service request status by ID

GET
/v1/service-request-statuses/:service_request_status_id
GET
/v1/service-request-statuses/:service_request_status_id
$curl https://api.propexo.com/v1/service-request-statuses/service_request_status_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {
5 "field": "created_at",
6 "direction": "desc"
7 }
8 ],
9 "offset": 0,
10 "limit": 100,
11 "hasMore": true,
12 "total": 1000
13 },
14 "results": {
15 "id": "clwktsp9v000008l31iv218hn",
16 "created_at": "2024-03-21T15:38:08.337Z",
17 "updated_at": "2024-03-22T10:59:45.119Z",
18 "last_seen": "2024-03-22T10:59:45.119Z",
19 "x_id": "RM-STS-1001",
20 "x_property_id": "RM-PROP-2045",
21 "x_location_id": "RM-LOC-301",
22 "code": null,
23 "description": "Service request status indicating the request has been received and is pending review.",
24 "is_active": true,
25 "name": "Pending Review",
26 "integration_id": "clwh5u07w000508me66sfh3um",
27 "integration_vendor": "RENTMANAGER",
28 "property_id": "clwi5xiix000008l6ctdgafyh"
29 }
30}
Get service request status by ID
Was this page helpful?
Previous

Create Service Request: Rent Manager

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

service_request_status_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error